com.amazonaws.services.codecommit.model

## Class TestRepositoryTriggersResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.codecommit.model.TestRepositoryTriggersResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class TestRepositoryTriggersResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Represents the output of a test repository triggers operation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TestRepositoryTriggersResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`TestRepositoryTriggersResult` `clone()`
`boolean` `equals(Object obj)`
`List<RepositoryTriggerExecutionFailure>` `getFailedExecutions()` The list of triggers that were not able to be tested.
`List<String>` `getSuccessfulExecutions()` The list of triggers that were successfully tested.
`int` `hashCode()`
`void` `setFailedExecutions(Collection<RepositoryTriggerExecutionFailure> failedExecutions)` The list of triggers that were not able to be tested.
`void` `setSuccessfulExecutions(Collection<String> successfulExecutions)` The list of triggers that were successfully tested.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`TestRepositoryTriggersResult` `withFailedExecutions(Collection<RepositoryTriggerExecutionFailure> failedExecutions)` The list of triggers that were not able to be tested.
`TestRepositoryTriggersResult` `withFailedExecutions(RepositoryTriggerExecutionFailure... failedExecutions)` The list of triggers that were not able to be tested.
`TestRepositoryTriggersResult` `withSuccessfulExecutions(Collection<String> successfulExecutions)` The list of triggers that were successfully tested.
`TestRepositoryTriggersResult` `withSuccessfulExecutions(String... successfulExecutions)` The list of triggers that were successfully tested.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TestRepositoryTriggersResult

    public TestRepositoryTriggersResult()

### Method Detail

#### getSuccessfulExecutions

    public List<String> getSuccessfulExecutions()

The list of triggers that were successfully tested. This list provides the names of the triggers that were successfully tested, separated by commas.

Returns:
  The list of triggers that were successfully tested. This list provides the names of the triggers that were successfully tested, separated by commas.

#### setSuccessfulExecutions

    public void setSuccessfulExecutions(Collection<String> successfulExecutions)

The list of triggers that were successfully tested. This list provides the names of the triggers that were successfully tested, separated by commas.

Parameters:
  `successfulExecutions` - The list of triggers that were successfully tested. This list provides the names of the triggers that were successfully tested, separated by commas.

#### withSuccessfulExecutions

    public TestRepositoryTriggersResult withSuccessfulExecutions(String... successfulExecutions)

The list of triggers that were successfully tested. This list provides the names of the triggers that were successfully tested, separated by commas.

NOTE: This method appends the values to the existing list (if any). Use `setSuccessfulExecutions(java.util.Collection)` or `withSuccessfulExecutions(java.util.Collection)` if you want to override the existing values.

Parameters:
  `successfulExecutions` - The list of triggers that were successfully tested. This list provides the names of the triggers that were successfully tested, separated by commas.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withSuccessfulExecutions

    public TestRepositoryTriggersResult withSuccessfulExecutions(Collection<String> successfulExecutions)

The list of triggers that were successfully tested. This list provides the names of the triggers that were successfully tested, separated by commas.

Parameters:
  `successfulExecutions` - The list of triggers that were successfully tested. This list provides the names of the triggers that were successfully tested, separated by commas.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getFailedExecutions

    public List<RepositoryTriggerExecutionFailure> getFailedExecutions()

The list of triggers that were not able to be tested. This list provides the names of the triggers that could not be tested, separated by commas.

Returns:
  The list of triggers that were not able to be tested. This list provides the names of the triggers that could not be tested, separated by commas.

#### setFailedExecutions

    public void setFailedExecutions(Collection<RepositoryTriggerExecutionFailure> failedExecutions)

The list of triggers that were not able to be tested. This list provides the names of the triggers that could not be tested, separated by commas.

Parameters:
  `failedExecutions` - The list of triggers that were not able to be tested. This list provides the names of the triggers that could not be tested, separated by commas.

#### withFailedExecutions

    public TestRepositoryTriggersResult withFailedExecutions(RepositoryTriggerExecutionFailure... failedExecutions)

The list of triggers that were not able to be tested. This list provides the names of the triggers that could not be tested, separated by commas.

NOTE: This method appends the values to the existing list (if any). Use `setFailedExecutions(java.util.Collection)` or `withFailedExecutions(java.util.Collection)` if you want to override the existing values.

Parameters:
  `failedExecutions` - The list of triggers that were not able to be tested. This list provides the names of the triggers that could not be tested, separated by commas.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withFailedExecutions

    public TestRepositoryTriggersResult withFailedExecutions(Collection<RepositoryTriggerExecutionFailure> failedExecutions)

The list of triggers that were not able to be tested. This list provides the names of the triggers that could not be tested, separated by commas.

Parameters:
  `failedExecutions` - The list of triggers that were not able to be tested. This list provides the names of the triggers that could not be tested, separated by commas.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public TestRepositoryTriggersResult clone()

Overrides:
  `clone` in class `Object`